Ruby:“gem install bundler”不安装捆绑器

我是新来的铁轨,试图得到一个演示应用程序启动和运行。 我一直在我的Linux系统(lubuntu,主要是干净的安装)获得“捆绑安装”运行的问题。 即使是这样,如果我closures了terminal并启动另一个terminal,它将无法再运行。 循环看起来像这样:

sandbox@75bf7f3:~/railsstuff/sample_app_2nd_ed$ bundle install ERROR: Gem bundler is not installed, run `gem install bundler` first. sandbox@75bf7f3:~/railsstuff/sample_app_2nd_ed$ gem install bundler Successfully installed bundler-1.1.4 1 gem installed sandbox@75bf7f3:~/railsstuff/sample_app_2nd_ed$ bundle install ERROR: Gem bundler is not installed, run `gem install bundler` first. 

据我所知,我使用的是最新版本的Ruby,rvm似乎工作正常。

任何人都可以解释这里发生了什么?

我可以确认这是在Linux Mint的新鲜rvm安装中发生的。 我正在使用gnome-terminal,我已经应用“运行命令作为登录shell”解决方法。 我使用红宝石1.9.3,并没有做任何与宝石。 当我输入'gem list'时,我看到所有已安装的红宝石(我安装了rvm的第一个小时,我正在安装一些项目,看起来是完美的工作顺序)。

它看起来像添加

 [[ -s "$HOME/.rvm/scripts/rvm" ]] && . "$HOME/.rvm/scripts/rvm" 

〜/ .bashrc清除不一致的问题。 奇怪的是,它没有它,最初工作的很好…而且它应该只是采购.bash_login首先…